<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('START_PATH')) exit;

$action = (isset($_REQUEST['action']) && !empty($_REQUEST['action'])) ? $_REQUEST['action'] : 'changepass';

switch($action)
{
	case 'changepass':
		$Login->Changepass();
	break;
	
	case 'profile':
		$User = new User;
		$User->Profile();
	break;
	
	case 'avatarupload':
		if(UGROUP!=2 && permission('own_avatar'))
		{
			include_once(BASE_DIR . '/class/Class.Fileupload.php');
			$upload = new Fileupload('/uploads/avatars/','hidden',@$_REQUEST['divid'],$GLOBALS['settings']['AvatarGroesse']);
		}
	break;
	
	case 'ignorelist':
		$User = new User;
		$User->ignoreList();
	break;
}
?>